For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
LoginBook a Demo
  • Getting Started
    • Athena SDK Quickstart
  • Database API
    • Database Filters & CRUD
  • Python Guides
    • Build with Agents
    • Use Models Directly
    • Load Data Frames
    • Upload Files
    • Create Assets
    • Structured Output
    • Long-Running AOP Execution
  • TypeScript Guides
    • Build with Agents
    • Working with Assets
    • Use Models Directly
    • Execute AOPs
    • Sheets API
    • Browser JavaScript (ESM)
    • UI Registry (Assistant.js)
    • Upload Files
    • Create Assets
    • Structured Output
  • API Reference
      • GETCheck database status
      • GETList tables in database
      • GETRead rows from database table
      • POSTInsert rows into database table
      • DELDelete rows from database table
      • PATCHUpdate rows in database table
      • GETGet table schema (columns and types)
      • POSTExecute SQL against database
Logo
LoginBook a Demo
API ReferenceDatabases

Read rows from database table

Beta
GET
https://api.athenaintel.com/api/v0/databases/:asset_id/data/:table_name
GET
/api/v0/databases/:asset_id/data/:table_name
$curl https://api.athenaintel.com/api/v0/databases/asset_id/data/table_name \
> -H "X-API-KEY: <apiKey>"
1{
2 "data": [
3 {
4 "email": "alice@example.com",
5 "id": 1,
6 "name": "Alice"
7 },
8 {
9 "email": "bob@example.com",
10 "id": 2,
11 "name": "Bob"
12 }
13 ]
14}
Query rows from a table in the database. Supports filtering, ordering, and pagination using PostgREST-style query parameters. **Filter Syntax:** - `?column=eq.value` - Equal - `?column=neq.value` - Not equal - `?column=gt.value` - Greater than - `?column=gte.value` - Greater than or equal - `?column=lt.value` - Less than - `?column=lte.value` - Less than or equal - `?column=like.*pattern*` - LIKE (case-sensitive) - `?column=ilike.*pattern*` - ILIKE (case-insensitive) - `?column=in.(a,b,c)` - IN list - `?column=is.null` - IS NULL
Was this page helpful?
Previous

Insert rows into database table

Next
Built with

Query rows from a table in the database. Supports filtering, ordering, and pagination using PostgREST-style query parameters.

Filter Syntax:

  • ?column=eq.value - Equal
  • ?column=neq.value - Not equal
  • ?column=gt.value - Greater than
  • ?column=gte.value - Greater than or equal
  • ?column=lt.value - Less than
  • ?column=lte.value - Less than or equal
  • ?column=like.*pattern* - LIKE (case-sensitive)
  • ?column=ilike.*pattern* - ILIKE (case-insensitive)
  • ?column=in.(a,b,c) - IN list
  • ?column=is.null - IS NULL

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

asset_idstringRequired
table_namestringRequired

Query parameters

selectstring or nullOptional

Columns to return (comma-separated, e.g., ‘id,name,email’)

orderstring or nullOptional

Order by clause (e.g., ‘created_at.desc’, ‘name.asc’)

limitintegerOptional1-1000Defaults to 100
Maximum number of rows to return
offsetintegerOptional>=0Defaults to 0
Number of rows to skip

Response

Successful Response
datalist of maps from strings to any
Array of row objects

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
501
Not Implemented Error
503
Service Unavailable Error